gnome-photos (3.30.1-2) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 08:18:39 -0500

gnome-photos (3.30.1-1) unstable; urgency=medium

  * New upstream release

 -- Tim Lunn <tim@feathertop.org>  Fri, 28 Sep 2018 16:35:45 +1000

gnome-photos (3.30.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 06 Sep 2018 14:11:55 -0400

gnome-photos (3.29.92-1) unstable; urgency=medium

  * New upstream release
  * Bump libgexiv2-dev to >= 0.10.8 & libgrilo-0.3-dev to >= 0.3.5
  * Add X-Ubuntu-Use-Langpack to opt in to Ubuntu language pack handling
    (LP: #1779574)
  * Bump Standards-Version to 4.2.1
  * Drop patches applied in new release:
    - bump-minimum-GEGL-version-to-0.4.0.patch
    - correct_test_name.patch
    - unbreak-empty-trash-button.patch

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 05 Sep 2018 14:08:01 -0400

gnome-photos (3.28.0-2) unstable; urgency=medium

  * Cherry-pick bump-minimum-GEGL-version-to-0.4.0.patch
  * Bump minimum gegl to 0.4.0
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Apr 2018 09:08:09 -0400

gnome-photos (3.28.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Cherry-pick unbreak-trash-button.patch:
    - Fix Empty Trash button with GNOME 3.26+

  [ Sebastien Bacher ]
  * Add correct_test_name.patch:
    - update the app name in the test
  * debian/tests/control:
    - Depend on dleyna-server and dleyna-renderer.
      These are already Recommends of gnome-photos.

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 27 Mar 2018 12:26:38 -0400

gnome-photos (3.27.92-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 14 Mar 2018 20:39:29 -0400

gnome-photos (3.27.90-1) experimental; urgency=medium

  [ Tim Lunn ]
  * Team upload
  * New upstream development release
  * debian/control.in: Add build-deps on libdazzle-1.0-dev
    and libgdk-pixbuf-2.0-dev, bump build-dep on libgegl-dev

  [ Pedro Beja ]
  * debian/control.in: Update description

 -- Tim Lunn <tim@feathertop.org>  Sun, 18 Feb 2018 14:39:53 +1100

gnome-photos (3.26.3-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 01 Feb 2018 09:00:48 -0500

gnome-photos (3.26.2-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Increase Priority to optional. Priority: extra is deprecated.

  [ Jeremy Bicha ]
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Dec 2017 12:48:15 -0500

gnome-photos (3.26.2-1) unstable; urgency=medium

  * New upstream release

 -- Michael Biebl <biebl@debian.org>  Fri, 03 Nov 2017 11:56:31 +0100

gnome-photos (3.26.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 08 Oct 2017 10:04:16 -0400

gnome-photos (3.26.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: Minor updates
  * debian/control.in:
    - Build-Depend on tracker2 instead of tracker1
    - Drop obsolete Build-Depends on intltool
  * Drop build-with-tracker1.patch: Obsolete

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Sep 2017 14:29:33 -0400

gnome-photos (3.25.91-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - Bump minimum GTK+ to 3.22.16
    - Bump minimum GEGL to 0.3.15
    - Build-Depend on gnome-settings-dev instead of libgnome-desktop-3-dev
    - Build-depend on libgeocode-glib-dev
    - Depend on tracker-extract for gsettings schemas
  * Update debian/copyright
  * Add build-with-tracker1.patch:
    - Don't build with tracker 2 yet
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 30 Aug 2017 17:21:03 -0400

gnome-photos (3.22.6-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 30 Jun 2017 17:15:34 +0200

gnome-photos (3.22.5-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/drop-jp2-gegl-check.patch, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Thu, 09 Mar 2017 01:19:49 +0100

gnome-photos (3.22.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches which have been merged upstream.

 -- Michael Biebl <biebl@debian.org>  Tue, 21 Feb 2017 23:36:53 +0100

gnome-photos (3.22.3-2) unstable; urgency=medium

  * debian/patches/0001-tests-Wait-for-the-UI-to-be-drawn-completely.patch:
    Take patch from upstream bug #777053 to resolve race condition in
    testsuite.
  * debian/tests/unit-tests: Don't fail on expected stderr from dbus-daemon.

 -- Iain Lane <laney@debian.org>  Mon, 09 Jan 2017 18:55:47 +0000

gnome-photos (3.22.3-1) unstable; urgency=medium

  * New upstream release.
  * Use dbus-run-session to run tests. (Closes: #835886)

 -- Michael Biebl <biebl@debian.org>  Tue, 03 Jan 2017 13:53:27 +0100

gnome-photos (3.22.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 06 Nov 2016 20:17:35 +0100

gnome-photos (3.22.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 06 Oct 2016 18:35:33 +0200

gnome-photos (3.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Sep 2016 20:21:31 +0200

gnome-photos (3.21.92-1) unstable; urgency=medium

  * New upstream development release.
  * Refresh patches, drop the ones that were merged upstream.
  * Bump debhelper compat level to 10.

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Sep 2016 02:45:58 +0200

gnome-photos (3.21.91-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Add debian/patches/git_fix-tracker*.patch:
    - Add 3 patches from git to fix syntax errors with Tracker 1.9.1

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Sep 2016 02:57:02 +0200

gnome-photos (3.21.91-1) unstable; urgency=low

  * New upstream beta release.
  * Update build-dependencies according to configure.ac changes:
    - bump glib to >= 2.44.0

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 02 Sep 2016 10:47:57 +0200

gnome-photos (3.20.3-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/tests/control: Switch from grilo 0.2 to 0.3 here also

  [ Andreas Henriksson ]
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 11 Aug 2016 17:47:00 +0200

gnome-photos (3.20.2-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/docs, debian/rules:
    - Install NEWS but don't install other files that duplicate the
      copyright file

  [ Michael Biebl ]
  * Drop --disable-silent-rules from debian/rules. This is now handled by dh
    directly depending on whether the DH_QUIET environment variable is set.
  * New upstream release.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Jun 2016 22:40:13 +0200

gnome-photos (3.20.1-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - Drop libexempi-dev
    - Drop libexif-dev
    - Drop liblcms2-dev
    - Drop librsvg2-dev
    - Add libgexiv2-dev
    - Bump libgegl-dev to >= 0.3.5
    - Switch from libgrilo-0.2-dev to libgrilo-0.3-dev
    - Add libjpeg-dev
    - Add libpng-dev
    - Bump libgtk-3-dev to >= 3.19.1
  * Bump Standards-Version to 3.9.7
  * Recommend grilo-plugins-0.3 for grl-flickr plugin

  [ Michael Biebl ]
  * Drop uploaders.mk from debian/rules as this breaks the clean target with
    dh. Instead use the gnome dh addon which updates debian/control via
    dh_gnome_clean.
  * Tighten Build-Depends on libpng-dev to ensure we have a version >= 1.6.
  * Fix typo in package description.
  * Drop jp2 gegl check which prevents gnome-photos to start if GEGL was not
    compiled against libjapser. Not starting at all is worse then crashing
    when trying to open a jp2 file, as JPEG-2000 files are very rare. That
    said, we should fix the case anyway when gegl does not support a specific
    image format.

 -- Michael Biebl <biebl@debian.org>  Tue, 19 Apr 2016 19:45:19 +0200

gnome-photos (3.18.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 11 Nov 2015 02:13:27 +0100

gnome-photos (3.18.1-1) unstable; urgency=medium

  * New upstream release.
  * Wrap dependencies.
  * Bump Standards-Version to 3.9.6.

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Oct 2015 17:59:12 +0200

gnome-photos (3.18.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Oct 2015 23:27:10 +0200

gnome-photos (3.18.0-1) experimental; urgency=medium

  * Replace obsolete gnome-common build-dependency with simply
    intltool (>= 0.50.1). It was previously pulled in by gnome-common.
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 02 Oct 2015 23:39:44 +0200

gnome-photos (3.16.2-1) experimental; urgency=medium

  * Make debian/watch only track stable releases.
  * New upstream release.
  * Bump build-dependencies according to configure.ac changes:
    - libcairo2-dev (>= 1.14.0)
    - libgegl-dev (>= 0.3.0)
    - libgtk-3-dev (>= 3.15.5)
  * Upload to experimental as the new gegl-0.3 is only available there yet.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 28 Jul 2015 18:29:34 +0200

gnome-photos (3.14.2-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Only Recommends dleyna-renderer on linux architectures

  [ Josselin Mouette ]
  * New upstream translation and bugfix release.

 -- Josselin Mouette <joss@debian.org>  Fri, 05 Dec 2014 18:29:34 +0100

gnome-photos (3.14.0-1) unstable; urgency=medium

  [ Jackson Doak ]
  * New upstream release
  * debian/rules:
    - Disable silent rules so we can find hardening issues
    - Fully enable hardening
  * Add 90_drop-onlyshowin.patch so every desktop can use this
  * debian/control:
    - Bump b-dep on gtk to >= 3.13.2, glib to >= 2.39.3
    - Build-depend on libgdata-dev
  * Run tests as autopkgtest

  [ Andreas Henriksson ]
  * Recommend dleyna-renderer to be able to display photos on other
    DLNA renderers in your local network.

  [ Laurent Bigonville ]
  * debian/control.in: Add gnome-online-miners to the dependencies and bump
    tracker to a hard dependency.

 -- Laurent Bigonville <bigon@debian.org>  Sat, 27 Sep 2014 14:09:54 +0200

gnome-photos (3.12.1-1) unstable; urgency=medium

  * Initial packaging.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Jul 2014 16:57:46 +0200
